local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.IslandExpeditionsVendorsGrindMounts(container)


--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)

  
  
  
local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_seahorse:24|t '.."\124cffa335ee\124Hitem:166471::::::::60:::::\124h[Saltwater Seahorse]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CCost: ".."|cffffffff 500 Seafarer's Dubloons")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Island Expeditions")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Vendor - Horde")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1165 44.6 94.4 Saltwater Seahorse") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
 

if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Vendor - Alliance")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1161 66.2 32.6 Saltwater Seahorse") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end     
--======================================================================================
--======================================================================================  
  

local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_vulturemount_alabatrosswhite:24|t '.."\124cffa335ee\124Hitem:166745::::::::60:::::\124h[Siltwing Albatross]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CCost: ".."|cffffffff 1000 Seafarer's Dubloons")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Island Expeditions")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Vendor - Horde")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1165 44.6 94.4 Saltwater Seahorse") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
 

if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Vendor - Alliance")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1161 66.2 32.6 Saltwater Seahorse") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end     
--======================================================================================
--======================================================================================    
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end